﻿using C1.WPF;
using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Input;

namespace Wpf_C1TreeView_Grid
{
    public class DragDropCellFactory : CellFactory
    {
        private C1DragDropManager _ddm;
        public DragDropCellFactory(C1DragDropManager ddm)
        {
            _ddm = ddm;
        }
        public override void CreateCellContent(C1FlexGrid grid, Border bdr, CellRange rng)
        {
            base.CreateCellContent(grid, bdr, rng);
            bdr.Tag = grid.Rows[rng.Row]; //used to find the actual row dragged
            _ddm.RegisterDragSource(bdr, DragDropEffect.Move, ModifierKeys.None);
        }
    }
}
